Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Logger Class Reference

ロガー More...

`#include <Logger.h>`

List of all members.

## Public Types
enum | LogLevel { zeroLevel = 0, fewLevel = 1, midiumLevel = 2, manyLevel = 3 }
| ログの出力レベル More...
## Public Member Functions
| Logger (const String &fileName, LogLevel logLevel=midiumLevel)
| コンストラクタ
virtual | ~Logger ()
| デストラクタ
virtual void | output (LogLevel logLevel, String message)
| ログ出力
virtual void | output (String message)
| ログ出力
virtual void | output (LogLevel logLevel, const char *format,...)
| ログ出力
virtual void | output (const char *format,...)
| ログ出力
virtual void | flush ()
| フラッシュ
virtual void | setLogLevel (LogLevel logLevel)
| ログレベルの設定
virtual LogLevel | getLogLevel ()
| ログレベルの取得

## Detailed Description

ロガー

Definition at line 36 of file Logger.h.

## Member Enumeration Documentation

enum Lamp::Logger::LogLevel

  | ログの出力レベル Enumeration values:
  zeroLevel | ログを出さない
  fewLevel | 最低限のログをだす
  midiumLevel | 普通のログをだす
  manyLevel | たくさんのログをだす
Definition at line 39 of file Logger.h. Referenced by getLogLevel().

## Constructor & Destructor Documentation

Lamp::Logger::Logger | ( | const String & | fileName,
|  | LogLevel | logLevel = midiumLevel
| ) | `[explicit]`

  | コンストラクタ Parameters:
  fileName | ログファイル名
  logLevel | 初期ログレベル
Definition at line 35 of file Logger.cpp.

## Member Function Documentation

virtual LogLevel Lamp::Logger::getLogLevel | ( |  | ) | `[inline, virtual]`

| ログレベルの取得 Returns: ログレベル Definition at line 108 of file Logger.h. References LogLevel.

void Lamp::Logger::output | ( | const char * | format,
|  | ... |
| ) | `[virtual]`

  | ログ出力 普通のログレベルで出力されます。 Parameters:
  format | フォーマット
  ... | 可変長引数
Definition at line 73 of file Logger.cpp. References ErrorOut, midiumLevel, StdVsnprintf, and Lamp::TextWriter::writeText().

void Lamp::Logger::output | ( | LogLevel | logLevel,
|  | const char * | format,
|  | ... |
| ) | `[virtual]`

  | ログ出力 Parameters:
  logLevel | ログレベル
  format | フォーマット
  ... | 可変長引数
Definition at line 55 of file Logger.cpp. References Assert, ErrorOut, StdVsnprintf, Lamp::TextWriter::writeText(), and zeroLevel.

virtual void Lamp::Logger::output | ( | String | message | ) | `[inline, virtual]`

  | ログ出力 普通のログレベルで出力されます。 Parameters:
  message | 出力メッセージ
Definition at line 74 of file Logger.h. References midiumLevel, and output().

void Lamp::Logger::output | ( | LogLevel | logLevel,
|  | String | message
| ) | `[virtual]`

  | ログ出力 Parameters:
  logLevel | ログレベル
  message | 出力メッセージ
Definition at line 47 of file Logger.cpp. References Assert, Lamp::TextWriter::writeText(), and zeroLevel. Referenced by output(), Lamp::ErrorOutput::print(), and Lamp::DebugOutput::print().

virtual void Lamp::Logger::setLogLevel | ( | LogLevel | logLevel | ) | `[inline, virtual]`

  | ログレベルの設定 Parameters:
  logLevel | 設定するログレベル
Definition at line 102 of file Logger.h.

The documentation for this class was generated from the following files:

- Logger.h
- Logger.cpp